from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XTextTableCursor(XInterface, Protocol):
    def getRangeName(self) -> str: ...
    def gotoCellByName(self, aCellName: str, bExpand: bool) -> bool: ...
    def goLeft(self, nCount: int, bExpand: bool) -> bool: ...
    def goRight(self, nCount: int, bExpand: bool) -> bool: ...
    def goUp(self, nCount: int, bExpand: bool) -> bool: ...
    def goDown(self, nCount: int, bExpand: bool) -> bool: ...
    def gotoStart(self, bExpand: bool) -> None: ...
    def gotoEnd(self, bExpand: bool) -> None: ...
    def mergeRange(self) -> bool: ...
    def splitRange(self, nCount: int, bHorizontal: bool) -> bool: ...
